Get status changes for jobs
curl --request POST \
--url https://cloud.memsource.com/web/api2/v2/jobs/statusChanges \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"jobs": [
{
"uid": "3HYnHHLkTPJfMxBCDbPXFe"
}
]
}
'import requests
url = "https://cloud.memsource.com/web/api2/v2/jobs/statusChanges"
payload = { "jobs": [{ "uid": "3HYnHHLkTPJfMxBCDbPXFe" }] }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({jobs: [{uid: '3HYnHHLkTPJfMxBCDbPXFe'}]})
};
fetch('https://cloud.memsource.com/web/api2/v2/jobs/statusChanges', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"projects": [
{
"jobs": [
{
"jobUid": "<string>",
"statusChanges": [
{
"changedBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"uid": "<string>",
"userName": "<string>"
},
"changedDate": "2023-11-07T05:31:56Z"
}
]
}
],
"projectUid": "<string>"
}
]
}Job
Get status changes for jobs
POST
/
api2
/
v2
/
jobs
/
statusChanges
Get status changes for jobs
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Query Parameters
Sort order
Available options:
ASC, DESC Body
application/json
Job references to retrieve status changes for
List of 1-100 job UID references
Required array length:
1 - 100 elementsShow child attributes
Show child attributes
Response
OK
Status changes grouped by project
Show child attributes
Show child attributes
Was this page helpful?
⌘I